## pymongo 4.7.3

=== debian/changelog ===
pymongo (4.7.3-2ubuntu1) oracular; urgency=medium

  * d/python3-pymongo.install: Ensure package metadata is installed,
    resolving autopkgtest failures in reverse dependencies (LP: #2080342).

 -- James Page <james.page@ubuntu.com>  Thu, 12 Sep 2024 08:02:27 +0100

pymongo (4.7.3-2) experimental; urgency=medium

  * QA upload
  * Upload to big endian architecture

 -- Bastien Roucariès <rouca@debian.org>  Sun, 16 Jun 2024 08:53:13 +0000

pymongo (4.7.3-1) unstable; urgency=medium

  * QA upload
  * Update d/watch
  * Import python team repo
  * Use any-arm instead of any-armel and any-armhf (Closes: #1034525)
  * Move homepage (Closes: #1036815)
  * New upstream releae:
    + Fix "helpers.py enforces strict checking for sort() values"
      (Closes: #748424)
    + Move pure python package to arch:all (Closes: #752525)
    + Fix CVE-2024-5629

 -- Bastien Roucariès <rouca@debian.org>  Sat, 15 Jun 2024 16:25:28 +0000

pymongo (3.12.3-1) UNRELEASED; urgency=medium

  [ Agathe Porte ]
  * New upstream version 3.12.3
  * d/control: Fix build warnings
  * d/copyright: Update authors
  * d/upstream/metadata: add Bug-Database
  * d/watch: mangle in personal devscripts instead
  * d/changelog: update Maintainer to DPT (Closes: #1002583)
  * d/control: Fix multiarch metadata
  * d/watch: only watch for 3.* releases

 -- Agathe Porte <debian@microjoe.org>  Fri, 14 Jan 2022 11:20:36 +0100

pymongo (3.12.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 24 Aug 2021 21:55:43 +0100

=== debian/control ===
Source: pymongo
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all-dev,
 python3-openssl (>= 19.0.0~),
 python3-setuptools,
 python3-sphinx,
 python3-pytest,
 python3-dnspython,
 pybuild-plugin-pyproject,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/mongodb/mongo-python-driver
Vcs-Git: https://salsa.debian.org/debian/pymongo.git
Vcs-Browser: https://salsa.debian.org/debian/pymongo
Testsuite: autopkgtest-pkg-python

Package: python3-pymongo
Architecture: all
Multi-Arch: foreign
Depends: python3-bson (= ${binary:Version}), ${python3:Depends}, ${misc:Depends}
Recommends: python3-gridfs (>= ${source:Version})
 , python3-pymongo-ext
Suggests: python-pymongo-doc
Description: Python3 interface to the MongoDB document-oriented database
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store. Pymongo provides an interface
 to easily access it from Python3.
 Consider installing the python3-pymongo-ext C extension to improve performance.

Package: python3-pymongo-ext
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
 , ${python3:Depends}
 , ${shlibs:Depends}
 , python3-bson (>= ${source:Version}), python3-bson (<< ${source:Version}.1~),
 , python3-pymongo (>= ${source:Version}), python3-pymongo (<< ${source:Version}.1~)
Recommends: python3-gridfs (>= ${source:Version})
Provides: ${python3:Provides}
Description: C-coded extension to the python3-pymongo package
 Pymongo provides an interface to easily access MongoDB from Python 3.
 This package contains an extension written in C for higher performance.

Package: python-pymongo-doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${misc:Depends}, libjs-jquery, libjs-underscore
Section: doc
Description: Python interface to the MongoDB document-oriented database (documentation)
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store. Pymongo provides an interface
 to easily access it from Python.
 .
 This package contains the HTML documentation.

Package: python3-gridfs
Architecture: all
Depends: ${python3:Depends}
 , ${misc:Depends}
 , python3-pymongo
Description: Python3 implementation of GridFS for MongoDB
 GridFS is a storage specification for large objects in MongoDB.
 The Python3 gridfs module is an implementation based
 on the pymongo module. It provides a file-like interface.

Package: python3-bson
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-bson-ext
Description: Python3 implementation of BSON for MongoDB
 BSON Python3 module contains all of the Binary JSON encoding and decoding
 logic for MongoDB.

Package: python3-bson-ext
Architecture: any
Multi-Arch: same
Depends: ${python3:Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
 , python3-bson (>= ${source:Version}), python3-bson (<< ${source:Version}.1~),
Provides: ${python3:Provides}
Description: C-coded extension to the python3-bson package
 BSON Python 3 module contains all of the Binary JSON encoding and decoding
 logic for MongoDB.
 This package contains an extension written in C for higher performance.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm bson/_cbson.so  pymongo/_cmessage.so -rf
	find . -name '*.so' -delete
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.rst

override_dh_compress:
	dh_compress -X.html

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -q -E -bhtml doc/ debian/python-pymongo-doc/usr/share/doc/python-pymongo-doc/html/

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	# Run dh_sphinxdoc only on python-pymongo-doc, see #745690
	dh_sphinxdoc -ppython-pymongo-doc
endif

## pymongo 4.10.1

=== test/lambda/mongodb/Makefile ===

build-MongoDBFunction:
	cp -r . $(ARTIFACTS_DIR)
	python -m pip install -t $(ARTIFACTS_DIR) dnspython

=== debian/changelog ===
pymongo (4.10.1-2+rpi1) trixie-staging; urgency=medium

  * Disable testsuilte.
  * Remove __pycache__ from file list.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 17 Nov 2024 20:18:49 +0000

pymongo (4.10.1-2) unstable; urgency=medium

  * Skip bad tests

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 14 Oct 2024 10:34:21 +0200

pymongo (4.10.1-1) unstable; urgency=medium

  * New upstream release
  * Set myself as maintainer
  * Remove patch that fails to apply
  * Build-depend on python3-hatchling, python3-hatch-requirements-txt
  * Build-depend on python3-pytest-asyncio
  * Installs the new async and sync modules

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 11 Oct 2024 14:18:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pymongo
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all-dev,
@@ -11,7 +10,10 @@
  python3-sphinx,
  python3-pytest,
  python3-dnspython,
+ python3-hatchling,
  pybuild-plugin-pyproject,
+ python3-hatch-requirements-txt,
+ python3-pytest-asyncio,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/mongodb/mongo-python-driver
@@ -33,7 +35,7 @@
  Consider installing the python3-pymongo-ext C extension to improve performance.
 
 Package: python3-pymongo-ext
-Architecture: any
+Architecture: any-amd64 any-arm any-i386 any-ia64 any-mipsel any-ppc64el
 Multi-Arch: same
 Depends: ${misc:Depends}
  , ${python3:Depends}
@@ -78,7 +80,7 @@
  logic for MongoDB.
 
 Package: python3-bson-ext
-Architecture: any
+Architecture: any-amd64 any-arm any-i386 any-ia64 any-mipsel any-ppc64el
 Multi-Arch: same
 Depends: ${python3:Depends}
  , ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
-	rm bson/_cbson.so  pymongo/_cmessage.so -rf
+	rm bson/_cbson.so  pymongo/_cmessage.so pymongo.egg-info -rf
 	find . -name '*.so' -delete
 	dh_auto_clean
 
@@ -27,3 +27,6 @@
 	# Run dh_sphinxdoc only on python-pymongo-doc, see #745690
 	dh_sphinxdoc -ppython-pymongo-doc
 endif
+
+override_dh_auto_test:
+	echo testsuite disabled

## pymongo 4.15.3

=== requirements.txt ===
dnspython>=1.16.0,<3.0.0

=== debian/changelog ===
pymongo (4.15.3-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 4.15.3 (Closes: #1111347)
  * Refresh d/patches & d/rules
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 Oct 2025 12:29:37 +0200

pymongo (4.10.1-6) unstable; urgency=medium

  * Do not install pycache directories (Closes: #1103321)
  * Team maintained, set myself as uploader
  * Update Vcs-* to the python team url

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 22 Apr 2025 08:37:36 +0200

pymongo (4.10.1-5) unstable; urgency=low

  *  Build on all architectures (Closes: #1094652)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 31 Jan 2025 08:38:23 +0100

pymongo (4.10.1-4) unstable; urgency=high

  * Team upload
  * Depend on the correct version of python3-pytest-asyncio to avoid FTBFS

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 10 Dec 2024 12:48:33 +0100

pymongo (4.10.1-3) unstable; urgency=low

  * Install dist-info (Closes: #1081504)
    Thanks to James Page <james.page@ubuntu.com> for the patch

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 21 Nov 2024 22:24:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pymongo
 Section: python
 Priority: optional
-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all-dev,
  python3-openssl (>= 19.0.0~),
  python3-setuptools,
@@ -13,12 +14,11 @@
  python3-hatchling,
  pybuild-plugin-pyproject,
  python3-hatch-requirements-txt,
- python3-pytest-asyncio,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+ python3-pytest-asyncio (>= 0.24.0~),
+Standards-Version: 4.7.2
 Homepage: https://github.com/mongodb/mongo-python-driver
-Vcs-Git: https://salsa.debian.org/debian/pymongo.git
-Vcs-Browser: https://salsa.debian.org/debian/pymongo
+Vcs-Git: https://salsa.debian.org/python-team/packages/pymongo.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pymongo
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-pymongo
@@ -35,7 +35,7 @@
  Consider installing the python3-pymongo-ext C extension to improve performance.
 
 Package: python3-pymongo-ext
-Architecture: any-amd64 any-arm any-i386 any-ia64 any-mipsel any-ppc64el
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}
  , ${python3:Depends}
@@ -80,7 +80,7 @@
  logic for MongoDB.
 
 Package: python3-bson-ext
-Architecture: any-amd64 any-arm any-i386 any-ia64 any-mipsel any-ppc64el
+Architecture: any
 Multi-Arch: same
 Depends: ${python3:Depends}
  , ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm bson/_cbson.so  pymongo/_cmessage.so pymongo.egg-info -rf
	find . -name '*.so' -delete
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.rst

override_dh_compress:
	dh_compress -X.html

execute_after_dh_installdocs:
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -q -E -bhtml doc/ debian/python-pymongo-doc/usr/share/doc/python-pymongo-doc/html/

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	# Run dh_sphinxdoc only on python-pymongo-doc, see #745690
	dh_sphinxdoc -ppython-pymongo-doc
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
searchmode=plain \
https://api.github.com/repos/mongodb/mongo-python-driver/releases?per_page=100 \
https://api.github.com/repos/mongodb/mongo-python-driver/tarball/@ANY_VERSION@

## pymongo 4.15.4

=== debian/changelog ===
pymongo (4.15.4-2) unstable; urgency=medium

  * Package Adoption

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Thu, 27 Nov 2025 08:08:48 +0530

pymongo (4.15.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Nov 2025 16:58:48 +0000

pymongo (4.15.3-2) unstable; urgency=medium

  * Team upload.
  * Use an easier-to-maintain method of disabling broken tests.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Oct 2025 11:36:24 +0100

## pymongo 4.15.5

=== debian/changelog ===
pymongo (4.15.5-1) unstable; urgency=medium

  * New upstream version 4.15.5

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Sat, 06 Dec 2025 15:18:48 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
+Uploaders: Aryan Karamtoth <spaciouscoder78@disroot.org>
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all-dev,
@@ -19,7 +19,7 @@
 Homepage: https://github.com/mongodb/mongo-python-driver
 Vcs-Git: https://salsa.debian.org/python-team/packages/pymongo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pymongo
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pymongo
 Architecture: all
@@ -40,7 +40,7 @@
 Depends: ${misc:Depends}
  , ${python3:Depends}
  , ${shlibs:Depends}
- , python3-bson (>= ${source:Version}), python3-bson (<< ${source:Version}.1~),
+ , python3-bson (>= ${source:Version}), python3-bson (<< ${source:Version}.1~)
  , python3-pymongo (>= ${source:Version}), python3-pymongo (<< ${source:Version}.1~)
 Recommends: python3-gridfs (>= ${source:Version})
 Provides: ${python3:Provides}
@@ -62,6 +62,7 @@
 
 Package: python3-gridfs
 Architecture: all
+Multi-Arch: foreign
 Depends: ${python3:Depends}
  , ${misc:Depends}
  , python3-pymongo

## pymongo 4.16.0

=== debian/changelog ===
pymongo (4.16.0-1) unstable; urgency=medium

  * New upstream version 4.16.0
  * Bump Standards-Version to 4.7.3
  * Update copyright years

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Wed, 14 Jan 2026 07:18:48 +0530

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  pybuild-plugin-pyproject,
  python3-hatch-requirements-txt,
  python3-pytest-asyncio (>= 0.24.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/mongodb/mongo-python-driver
 Vcs-Git: https://salsa.debian.org/python-team/packages/pymongo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pymongo

## pymongo mate-0.0.4

=== requirements.txt ===
pymongo
mongomock
superjson>=0.0.8
